/*
 * Copyright 2008-2009 SpringSource
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.springsource.bundlor.support.properties;

import static org.junit.Assert.assertEquals;

import java.io.File;
import java.util.Properties;

import org.junit.Test;

public class FileSystemPropertiesSourceTests {

    private static final File BUNDLE1_PROPERTIES = new File(
        "src/test/resources/com/springsource/bundlor/support/propertysubstitution/bundle.properties");

    private final FileSystemPropertiesSource propertiesSource = new FileSystemPropertiesSource(BUNDLE1_PROPERTIES);

    @Test
    public void properties() {
        Properties props = propertiesSource.getProperties();
        assertEquals(props.getProperty("bundle.version"), "1.1.0");
        assertEquals(props.getProperty("bundle.name"), "SpringSource Test Bundle");
    }

    @Test
    public void priority() {
        assertEquals(Integer.MAX_VALUE, propertiesSource.getPriority());
    }
}
